<?php
/**
 * Created by PhpStorm.
 * User: RSkaldin
 * Date: 6/7/2019
 * Time: 7:22 PM
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Request;
use Illuminate\Support\Facades\Session;

class Activity extends Model
{
    protected $table = 'activity_log';

    public const ERROR = 'error';
    public const SUCCESS = 'success';
    public const WARNING = 'warning';
    public const NOTICE = 'notice';

    public function user()
    {
        return $this->belongsTo('App\User', 'user_id', 'id');
    }

    /**
     * Adding new activity note to the model
     * @param $comment
     * @param string $status
     */
    public static function appendLog($comment, $status = 'notice')
    {
        try {
            $activity = new Activity();
            $activity->user_id = auth()->user()->id;
            $activity->comment = $comment;
            $activity->ip = Request::ip();
            $activity->status = $status;
            $activity->save();
        } catch (\Exception $ex) {
            Session::flash('error', $ex->getMessage());
        }
    }
}